# MoneseCsvDownloader

Downloads account statement CSVs from [Monese](https://monese.com/gb/en) using the web interface.

**Limitations**:

I created this for personal use, so some of the functionality is hard-coded to target my use-case. I'm open to
contributions that help make this more generic:

- Hard-coded to select the first Monese joint account available
- Hard-coded to download CSV statement for the past 3 months
- Hard-coded to only support UK numbers (+44-xxxxxxxxxx)

## Installation

```
gem install monese_csv_downloader
```

## Usage

```sh
monese_csv_downloader --phone-number "+44-1234567890" --password "dummy_password" download statement.csv
```

## Development

After checking out the repo, run `bin/setup` to install dependencies. Then, run `rake test` to run the tests. You can
also run `bin/console` for an interactive prompt that will allow you to experiment.

To install this gem onto your local machine, run `bundle exec rake install`. To release a new version, update the
version number in `version.rb`, and then run `bundle exec rake release`, which will create a git tag for the version,
push git commits and tags, and push the `.gem` file to [rubygems.org](https://rubygems.org).

## Contributing

Bug reports and pull requests are welcome on GitHub at https://github.com/rohitpaulk/monese_csv_downloader.

## License

The gem is available as open source under the terms of the [MIT License](https://opensource.org/licenses/MIT).
